Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openqa.selenium.server
Class SeleneseQueue

    java.lang.Object
      org.openqa.selenium.server.SeleneseQueue

public class SeleneseQueue
extends java.lang.Object

Schedules and coordinates commands to be run.

Version:
  $Revision: 734 $
Author:
  Paul Hammant
See Also:
  `SingleEntryAsyncQueue`

Constructor Summary
`SeleneseQueue()`

Method Summary
`java.lang.String` | `doCommand(java.lang.String command, java.lang.String field, java.lang.String value)` Schedules the specified command to be retrieved by the next call to handle command result, and returns the result of that command.
`SeleneseCommand` | `handleCommandResult(java.lang.String commandResult)` Accepts a command reply, and retrieves the next command to run.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SeleneseQueue

    public SeleneseQueue()

Method Detail

### doCommand

    public java.lang.String doCommand(java.lang.String command,
                                      java.lang.String field,
                                      java.lang.String value)

  Schedules the specified command to be retrieved by the next call to handle command result, and returns the result of that command.

  Parameters:
    `command` - - the Selenese command verb
    `field` - - the first Selenese argument (meaning depends on the verb)
    `value` - - the second Selenese argument
  Returns:
    - the command result, defined by the Selenese JavaScript. "getX" style commands may return data from the browser; other "doX" style commands may just return "OK" or an error message.

### toString

    public java.lang.String toString()

### handleCommandResult

    public SeleneseCommand handleCommandResult(java.lang.String commandResult)

  Accepts a command reply, and retrieves the next command to run.

  Parameters:
    `commandResult` - - the reply from the previous command, or null
  Returns:
    - the next command to run

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 null. All Rights Reserved.